<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["search"]) ) {

    $error = array('error' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }



    //search bought products

    if (  (mysql_prep(@$_GET['search']) != "")  ) {


      @$branchId = mysql_prep($_GET['search']); 
      @$status  = 1; 

      $bought_pro = search_all_bought_products_for_branch($branchId, $status); 

      if(empty($bought_pro)){
        exit(json_encode([]));
      }
      

      foreach ($bought_pro as $bought[]) {

        $item = $bought;

        $json = json_encode($item);

      }

      exit($json) ;


    }

  
  }else{

    exit(json_encode(array("error" => "unauthorised") ));

  }
